#!/bin/sh

# Runs setup.sh in all configuration directories. Must be run in the main
# configuration directory.

# Copyright (C) 2009-2018  Simon Ruderich
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


set -eu

for path in */setup.sh; do
    # Skip non executable setup.sh files as an easy way to deactivate one.
    test ! -x "$path" && continue

    project=`printf '%s' "$path" | sed 's|/setup.sh$||'`

    printf 'running setup.sh in "%s"\n' "$project"
    ( cd "$project" && ./setup.sh >/dev/null ) || {
        printf '%s/setup.sh failed\n' "$project" >&2
        exit 1
    }
done
